Package org.apache.sling.scripting.sightly.java.compiler

## Class SightlyJavaCompilerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sling.scripting.sightly.java.compiler.SightlyJavaCompilerException

All Implemented Interfaces:
  `Serializable`

    public class SightlyJavaCompilerException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`` `SightlyJavaCompilerException()`
`` `SightlyJavaCompilerException​(String message)`
`` `SightlyJavaCompilerException​(String message, Throwable cause)`
`protected` `SightlyJavaCompilerException​(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
`` `SightlyJavaCompilerException​(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SightlyJavaCompilerException

    public SightlyJavaCompilerException()

#### SightlyJavaCompilerException

    public SightlyJavaCompilerException​(String message)

#### SightlyJavaCompilerException

    public SightlyJavaCompilerException​(String message,
                                        Throwable cause)

#### SightlyJavaCompilerException

    public SightlyJavaCompilerException​(Throwable cause)

#### SightlyJavaCompilerException

    protected SightlyJavaCompilerException​(String message,
                                           Throwable cause,
                                           boolean enableSuppression,
                                           boolean writableStackTrace)